Page MenuHomePhabricator

[XCOFF] [llvm-objdump] Add XCOFF recognition of debug section types under `--section-headers` option.
ClosedPublic

Authored by Esme on May 25 2021, 4:15 AM.

Details

Summary

This is a child patch derived from D102603 to add XCOFF recognition of debug section types.

Diff Detail

Event Timeline

Esme created this revision.May 25 2021, 4:15 AM
Esme requested review of this revision.May 25 2021, 4:15 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 25 2021, 4:15 AM
Esme updated this revision to Diff 347630.May 25 2021, 4:16 AM
Higuoxing accepted this revision.May 25 2021, 7:38 PM

LGTM, thanks! But please wait until another reviewer is happy about this change :)

P.S. You can click the Edit Related Revisions ... button on the right side to add a parent or a child patch.

This revision is now accepted and ready to land.May 25 2021, 7:38 PM
shchenz accepted this revision.May 25 2021, 11:17 PM

LGTM too with some nits.

llvm/test/tools/llvm-objdump/XCOFF/section-headers.test
107

nit: two Address?

122

I understand this is for testing purposes. But STYP_DEBUG is specific for stabstrings and .dwinfo is specific for dwarf on AIX, I think it is not a good idea to make them together.
Maybe you can use .debug section for STYP_DEBUG.

126

Nit: should we put the RUN lines together at the front of this file?

jhenderson added inline comments.May 26 2021, 12:48 AM
llvm/test/tools/llvm-objdump/XCOFF/section-headers-truncate.test
1 ↗(On Diff #347630)

Didn't notice this before, but it sounds like this functionality is unrelated to the debug section types, so should be split off into its own patch.

llvm/test/tools/llvm-objdump/XCOFF/section-headers.test
80

I think you can drop the quotes around the option name. I'd also normalise the order to match the previous comment (i.e. -h/--section-headers).

81

Delete this blank line, so that the comment is clearly tied to the specific test case.

125

Delete this blank line, so that the comment is clearly tied to the specific test case.

126

Nit: should we put the RUN lines together at the front of this file?

I don't think we should do this. The RUN/CHECK/YAML blocks are for two somewhat distinct test cases, so shouldn't be intermixed. Intermixing them would make the test harder to follow.

Esme updated this revision to Diff 347873.May 26 2021, 2:56 AM

Address comment.

Esme updated this revision to Diff 347874.May 26 2021, 2:57 AM
jhenderson accepted this revision.May 26 2021, 3:13 AM

LGTM, thanks!

This revision was landed with ongoing or failed builds.Jun 10 2021, 12:09 AM
This revision was automatically updated to reflect the committed changes.